#include <iostream>

using namespace std;

const int N=2*1e5;
 int cnt[N];

bool poklon(int l,int r){
 int br=0;

  for(int i=l;i<=r-1;i++)
    if(cnt[i]==1)
        br++;


  return br<=1;
}

int main()
{
    //1 7 2 7 2 2 3


    int n;
    cin>>n;

    int a;
    cin>>a;
    int pret=a;
    for(int i=2;i<=n;i++){
          cin>>a;
          if(pret>a){
            cnt[i]=1;
          }
          pret=a;

    }

    int q; cin>>q;
    while(q--){
        int l,r;
        cin>>l>>r;
        if(poklon(l,r))
        cout<<"DA"<<endl;
        else
         cout<<"NE"<<endl;
    }

    return 0;
}